import { type Manifest } from "../../extension/types.js";
import { type NetlifyExtension } from "../../extension/index.js";
export declare const MANIFEST_FILE_PATH = ".ntli/site/static/manifest.json";
/**
 * Creates a manifest.json file in the extension's build directory.
 */
export declare function createManifest(extension: NetlifyExtension, opts: {
    cwd: string;
}): Promise<Manifest>;
/**
 * Updates the manifest.json file in the extension's build directory.
 * Merges the provided data with the existing manifest.
 */
export declare function updateManifest(data: Partial<Manifest>, opts: {
    cwd: string;
}): void;
/**
 * Reads the manifest.json file in the extension's build directory.
 * Returns the parsed manifest json object.
 */
export declare function getManifest(opts: {
    cwd: string;
}): Manifest;
//# sourceMappingURL=manifest.d.ts.map